<!doctype html>
<html lang="ja" xmlns="http://www.w3.org/1999/xhtml">
  <head>

    {$load('php',".data/preload")}
    {$ut->expand('head')}
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    {$load('css',"{$params['data_url']}skeleton/skeleton-onethird",'inline')}
    {$load('css',"{$config['site_url']}css/onethird.8",'inline')}
    {$load('less',"{$params['data_url']}theme",'inline')}
    {$ut->expand('css',1)}
  </head>

  <body >

    <div id='navbar'>
      <div class="container">
      {$call('get_gnav')}
      </div>
    </div>

    <div class="contents">
      <div class='overlay'>
        <div class="container jumbotron ">
          <div class='inner'>
            {$call('jumbotron')}
          </div>
        </div>
        <div class="container main">
            <div class="inner">
            {$call('breadcrumb')}
            {$ut->expand('article')}
            </div>
        </div>
      </div>
      <div class="footer container">
        <div class="inner">
          {$edit('name:footer','mode:inline')}
          <div class='copyright'>{$ut->expand('footer')}</div>
        </div>
      </div>
    </div>


    {$load('jquery')}
    {$ut->expand_sorted('js',1)}
    {$call('system_toolbar')}
    {$ut->expand('meta')}
    {$call('analytics')}
  </body>
</html>

